安装Rails 4.2.0.beta1-在排序时发现未解决的依赖关系[英] Installing Rails 4.2.0.beta1 - Unresolved dependency found during sorting

本文是小编为大家收集整理的关于安装Rails 4.2.0.beta1-在排序时发现未解决的依赖关系的处理方法,想解了安装Rails 4.2.0.beta1-在排序时发现未解决的依赖关系的问题怎么解决?安装Rails 4.2.0.beta1-在排序时发现未解决的依赖关系问题的解决办法?那么可以参考本文帮助大家快速定位并解决问题。

问题描述

我已尝试安装 Rails 4.2.0.beta1(8 月 20 日发布,2014).我收到错误"排序期间发现未解决的依赖项".以下是详细信息:

$ ruby -v
ruby 2.1.2p95 (2014-05-08 revision 45877) [x86_64-darwin13.0]
$ gem -v
2.4.1
$ gem install rails --pre
ERROR:  While executing gem ... (Gem::DependencyError)
    Unresolved dependency found during sorting - activesupport (>= 4.0)
(requested by sprockets-rails-3.0.0.beta1)

如何安装 Rails 4.2.0.beta1?

推荐答案

RubyGems 已修复此问题.至少升级到 2.4.4

查看此 GitHub 问题 了解更多信息.

本文地址:https://www.itbaoku.cn/post/786708.html